gdcm::SegmentedPaletteColorLookupTable Class Reference

SegmentedPaletteColorLookupTable class. More...

`#include <gdcmSegmentedPaletteColorLookupTable.h>`

Inheritance diagram for gdcm::SegmentedPaletteColorLookupTable:
[legend]
Collaboration diagram for gdcm::SegmentedPaletteColorLookupTable:
[legend]

## Public Member Functions

| SegmentedPaletteColorLookupTable ()
| ~SegmentedPaletteColorLookupTable () override
void | Print (std::ostream &) const override
void | SetLUT (LookupTableType type, const unsigned char *array, unsigned int length) override
| Initialize a SegmentedPaletteColorLookupTable.
Public Member Functions inherited from gdcm::LookupTable
| LookupTable ()
| LookupTable (LookupTable const &lut)
| ~LookupTable () override
void | Allocate (unsigned short bitsample=8)
| Allocate the LUT.
void | Clear ()
| Clear the LUT.
bool | Decode (char *outputbuffer, size_t outlen, const char *inputbuffer, size_t inlen) const
void | Decode (std::istream &is, std::ostream &os) const
| Decode the LUT.
bool | Decode8 (char *outputbuffer, size_t outlen, const char *inputbuffer, size_t inlen) const
| Decode into RGB 8 bits space.
unsigned short | GetBitSample () const
| return the bit sample
bool | GetBufferAsRGBA (unsigned char *rgba) const
| return the LUT as RGBA buffer
void | GetLUT (LookupTableType type, unsigned char *array, unsigned int &length) const
void | GetLUTDescriptor (LookupTableType type, unsigned short &length, unsigned short &subscript, unsigned short &bitsize) const
unsigned int | GetLUTLength (LookupTableType type) const
const unsigned char * | GetPointer () const
| return a raw pointer to the LUT
void | InitializeBlueLUT (unsigned short length, unsigned short subscript, unsigned short bitsize)
bool | Initialized () const
| return whether the LUT has been initialized
void | InitializeGreenLUT (unsigned short length, unsigned short subscript, unsigned short bitsize)
void | InitializeLUT (LookupTableType type, unsigned short length, unsigned short subscript, unsigned short bitsize)
| Generic interface:
void | InitializeRedLUT (unsigned short length, unsigned short subscript, unsigned short bitsize)
| RED / GREEN / BLUE specific:
bool | IsRGB8 () const
| Return whether 16 bits LUT is in RGB 8 bits space.
void | SetBlueLUT (const unsigned char *blue, unsigned int length)
void | SetGreenLUT (const unsigned char *green, unsigned int length)
void | SetRedLUT (const unsigned char *red, unsigned int length)
bool | WriteBufferAsRGBA (const unsigned char *rgba)
| Write the LUT as RGBA.
Public Member Functions inherited from gdcm::Object
| Object ()
| Object (const Object &)
| Special requirement for copy/cstor, assignment operator.
virtual | ~Object ()
void | operator= (const Object &)

## Additional Inherited Members

Public Types inherited from gdcm::LookupTable
enum | LookupTableType { RED = 0 , GREEN , BLUE , GRAY , UNKNOWN }
Protected Member Functions inherited from gdcm::Object
void | Register ()
void | UnRegister ()
Protected Attributes inherited from gdcm::LookupTable
unsigned short | BitSample
bool | IncompleteLUT:1
LookupTableInternal * | Internal

## Detailed Description

SegmentedPaletteColorLookupTable class.

## Constructor & Destructor Documentation

## SegmentedPaletteColorLookupTable()

gdcm::SegmentedPaletteColorLookupTable::SegmentedPaletteColorLookupTable | ( |  | ) |

## ~SegmentedPaletteColorLookupTable()

gdcm::SegmentedPaletteColorLookupTable::~SegmentedPaletteColorLookupTable | ( |  | ) |

override

## Member Function Documentation

## Print()

void gdcm::SegmentedPaletteColorLookupTable::Print | ( | std::ostream & |  | ) | const

inline override virtual

Reimplemented from gdcm::LookupTable.

## SetLUT()

void gdcm::SegmentedPaletteColorLookupTable::SetLUT | ( | LookupTableType | type,
|  | const unsigned char * | array,
|  | unsigned int | length )

override virtual

Initialize a SegmentedPaletteColorLookupTable.

Reimplemented from gdcm::LookupTable.

The documentation for this class was generated from the following file:

- gdcmSegmentedPaletteColorLookupTable.h